Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.benchmarks.client
Annotation Type RangeField

    @Target(value=PARAMETER)
    @Documented
    public @interface RangeField

Specifies a field containing the entire range of values for a parameter to a `Benchmark` method. The field must belong to the same class being decorated by this annotation. The field must be either an Iterable, Enum, or array whose type matches the parameter being annotated.

See Also:
  `RangeEnum`

Required Element Summary
`java.lang.String` | `value` The name of the field that this range refers to.

Element Detail

### value

    public abstract java.lang.String value

  The name of the field that this range refers to.

  Returns:
    for example, `myCommonRange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT